/*
///////////////////////////////////////////////////////////////////////////////////////////////////
// Description : WayDia.hpp
//   
// Dialog edition the ways
//
///////////////////////////////////////////////////////////////////////////////////////////////////
// 
//					
///////////////////////////////////////////////////////////////////////////////////////////////////
// Creation date: 21 jan 1997                        Author: J Thénoz
///////////////////////////////////////////////////////////////////////////////////////////////////
// Modification date:			                      Author: 
// 
//
// 
//
///////////////////////////////////////////////////////////////////////////////////////////////////
*/

//ANNECY Shaitan Nettoyage (12/05/98) {
/*

#ifndef __WayDia_HPP__
#define __WayDia_HPP__

/////////////////////////////////////////////////////////////////////////////
// DiaWay dialog

class DiaWay : public CFormView
{
protected :
	Way* m_pWayObj;
	int m_iSelect;
	BOOL m_bInsert;
	BOOL m_bDisableDelete;

// Construction
public:
	DiaWay(CWnd* pParent = NULL);	// standard constructor
	DECLARE_DYNCREATE (DiaWay);
	void fn_vInitDialog (void);
	void fn_vRefreshDialog (int iSelect=0);
	void fn_vRefreshLinkBox (void); 
	void fn_vRefreshNameList (void);
	BOOL fn_vSelectWPInList (WayPoint* poWP);
	BOOL fn_vSelectWPInList (int iIndiceWP);
	void fn_vEdit (Way* poWay,int iSelect=0);
	Way* fn_pGetEditWay (void) { return m_pWayObj; }
	BOOL fn_bIsEdit (Way* poWay);
	void fn_vMessageBoxDynamicWP ( WayPoint* p_oWP );


// Dialog Data
	//{{AFX_DATA(DiaWay)
	enum { IDD = IDD_WAY_DIALOG };
	CEdit	m_oEditWayPointButton;
	CComboBox m_ListNameWP ;
	CString	m_EditWay;
	CString	m_csWayName;
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(DiaWay)
	public:
	virtual BOOL Create(LPCTSTR lpszClassName, LPCTSTR lpszWindowName, DWORD dwStyle, const RECT& rect, CWnd* pParentWnd, UINT nID, CCreateContext* pContext = NULL);
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support
	virtual BOOL OnCommand(WPARAM wParam, LPARAM lParam);
	virtual void OnDestroy ();
	//}}AFX_VIRTUAL
	
protected :
	BOOL fn_bValidEntry (void);
	void fn_vEditName (void);

// Implementation
protected:
	HICON m_hIcon;

	// Generated message map functions
	//{{AFX_MSG(DiaWay)
	afx_msg void OnSysCommand(UINT nID, LPARAM lParam);
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	afx_msg void OnDeleteWayButton();
	afx_msg void OnAddWayButton();
	afx_msg void OnSelchangeWayCombo();
	afx_msg void OnEditupdateWayCombo();
	afx_msg void OnClose();
	afx_msg void OnKillfocusWayNameEdit();
	afx_msg void OnDblclkWayCombo();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
	BOOL fn_bSameNameSuit (void);
};

#endif

*/
//ENDANNECY Shaitan Nettoyage }
